// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

onEvent("lootjs", (event) => {
	event
        .addLootTypeModifier(LootType.CHEST)
        .thenRemove("minecraft:rotten_flesh");
	event
        .addLootTypeModifier(LootType.CHEST)
        .thenRemove("#forge:seeds");
	event
        .addLootTypeModifier(LootType.CHEST)
        .thenRemove("minecraft:golden_horse_armor");
	event
        .addLootTypeModifier(LootType.CHEST)
        .thenRemove("#forge:dusts");
	event
        .addLootTypeModifier(LootType.CHEST)
        .thenRemove("minecraft:iron_horse_armor");
	event
        .addLootTypeModifier(LootType.CHEST)
        .thenRemove("minecraft:bucket");
	event
        .addLootTypeModifier(LootType.CHEST)
        .thenRemove("#minecraft:music_discs");
	event
        .addLootTypeModifier(LootType.CHEST)
        .thenRemove("minecraft:coal");
	event
        .addLootTypeModifier(LootType.CHEST)
        .thenRemove("#forge:crops");
	event
        .addLootTypeModifier(LootType.CHEST)
        .thenRemove("minecraft:string");
	event
        .addLootTypeModifier(LootType.CHEST)
        .thenRemove("minecraft:bread");
	event
        .addLootTypeModifier(LootType.CHEST)
        .thenRemove("#forge:ingots");
    event
        .addLootTypeModifier(LootType.CHEST) // or multiple LootType.BLOCK, LootType.ENTITY ...
        .randomChance(0.3)
        .thenAdd("cgm:light_stock");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.3)
        .thenAdd("cgm:short_scope");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.3)
        .thenAdd("toughasnails:purified_water_canteen");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.3)
        .thenAdd("drinkbeer:beer_mug");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.3)
        .thenAdd("16x additionalguns:bullet_small");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.3)
        .thenAdd("vehicle:key");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.3)
        .thenAdd("16x moguns:9x19");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.3)
        .thenAdd("16x cgm:basic_bullet");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.3)
        .thenAdd("8x moguns:9x19");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.2)
        .thenAdd("additionalguns:banshee");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.2)
        .thenAdd("cgm:pistol");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.2)
        .thenAdd("cgm:machine_pistol");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.2)
        .thenAdd("moguns:m1911");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.2)
        .thenAdd("moguns:mp5");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.2)
        .thenAdd("16x cgm:shell");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.2)
        .thenAdd("16x cgm:advanced_bullet");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.2)
        .thenAdd("16x moguns:9x39");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.1)
        .thenAdd("additionalguns:magnum");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.1)
        .thenAdd("cgm:shotgun");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.1)
        .thenAdd("cgm:tactical_stock");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.1)
        .thenAdd("cgm:light_grip");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.1)
        .thenAdd("vehicle:fuelium_bucket");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.1)
        .thenAdd("fallout_inspired_power_armor:fusion_core");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.1)
        .thenAdd("mutantbeasts:chemical_x");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.1)
        .thenAdd("cgm:rifle");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.01)
        .thenAdd("mutantmore:formula_y");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.01)
        .thenAdd("additionalguns:m1014");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.01)
        .thenAdd("moguns:ppsh_41");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.01)
        .thenAdd("cgm:heavy_rifle");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.01)
        .thenAdd("moguns:vss_vintorez");
	event
		.addLootTypeModifier(LootType.CHEST)
		.randomChance(0.01)
        .thenAdd("cgm:assault_rifle");
});
